@11ty/eleventy-upgrade-help

2.0.5 • Public • Published

eleventy-upgrade-help v2

A plugin to help you upgrade your Eleventy project from Eleventy v1.x to v2.x.

The major version of this plugin will always match the major version of Eleventy that you’re upgrading to.

Usage

Install from npm:

npm install @11ty/eleventy-upgrade-help

Add to your configuration file (probably .eleventy.js):

const UpgradeHelper = require("@11ty/eleventy-upgrade-help");

module.exports = function(eleventyConfig) {
  // If you have other `addPlugin` calls, it’s important that UpgradeHelper is added last.
  eleventyConfig.addPlugin(UpgradeHelper);
};

After your upgrade is complete and you’ve removed all of the violations/warnings from your output, delete the plugin from your package.json and .eleventy.js configuration file.

Example demo

You can review a sample project using this upgrade plugin.

Readme

Keywords

Package Sidebar

Install

npm i @11ty/eleventy-upgrade-help

Weekly Downloads

1,045

Version

2.0.5

License

MIT

Unpacked Size

14.5 kB

Total Files

15

Last publish

Collaborators

  • zachleat